%{bcond_without perl_Module_Install_ReadmeFromPod_enablas_optional_test}
%{bcond_with perl_Module_Install_ReadmeFromPod_enables_pdf}

Name:           perl-Module-Install-ReadmeFromPod
Version:        0.30
Release:        12
Summary:        A Module::Install extension to automatically convert POD to a README
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Module-Install-ReadmeFromPod

Source0:        https://cpan.metacpan.org/authors/id/B/BI/BINGOS/Module-Install-ReadmeFromPod-%{version}.tar.gz
Patch0:         Module-Install-ReadmeFromPod-0.26-Regenerate-README-in-UTF-8.patch
Patch1:         Module-Install-ReadmeFromPod-0.30-Do-not-test-PDF-file-for-new-lines.patch

BuildArch:      noarch
BuildRequires:  coreutils make perl-generators perl-interpreter perl(Config) perl(inc::Module::Install)
BuildRequires:  perl(lib) perl(Module::Install::AutoLicense) perl(Module::Install::AuthorRequires) >= 0.02
BuildRequires:  perl(Module::Install::GithubMeta) perl(Module::Install::Metadata) perl(strict) sed
BuildRequires:  perl(base) perl(Capture::Tiny) >= 0.05 perl(IO::All) perl(Module::Install::Base) >= 1
BuildRequires:  perl(Pod::Html) perl(Pod::Man) perl(Pod::Markdown) >= 2 perl(Pod::Text) >= 3.13 perl(vars)
BuildRequires:  perl(warnings) perl(File::Path) perl(File::Temp) perl(Test::InDistDir) perl(Test::More) >= 0.47
%if %{with perl_Module_Install_ReadmeFromPod_enables_pdf}
BuildRequires:  perl(App::pod2pdf)
%endif
%if %{with perl_Module_Install_ReadmeFromPod_enablas_optional_test}
BuildRequires:  perl(Test::Pod) >= 1.00 perl(Test::Pod::Coverage) >= 1.00
%endif
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%if %{with perl_Module_Install_ReadmeFromPod_enables_pdf}
Suggests:       perl(App::pod2pdf)
%endif
Requires:       perl(Capture::Tiny) >= 0.05 perl(IO::All) perl(Module::Install::Base) >= 1 perl(Pod::Html)
Requires:       perl(Pod::Man) perl(Pod::Markdown) >= 2 perl(Pod::Text) >= 3.13

%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^perl\\(Module::Install::Base\\)$

%description
Module::Install::ReadmeFromPod is a Module::Install extension that generates a "README" file automatically 
from an indicated file containing POD, whenever the author runs "Makefile.PL". Several output formats are 
supported: plain-text, HTML, PDF or manpage.

%package_help

%prep
%autosetup -n Module-Install-ReadmeFromPod-%{version} -p1
rm -rf inc
sed -i -e '/^inc\// d' MANIFEST
chmod -x tools/git-log.pl

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%defattr(-,root,root)
%doc README
%license LICENSE
%{perl_vendorlib}/*

%files help
%defattr(-,root,root)
%doc Changes tools
%{_mandir}/man3/*

%changelog
* Tue Jan 14 2020 openEuler Buildteam <buildteam@openeuler.org> - 0.30-12
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:change the doc in files

* Fri Jan 10 2020 openEuler Buildteam <buildteam@openeuler.org> - 0.30-11
- Package init
